Page MenuHomePhabricator

Let me press return instead of clicking the green "Insert" button
Closed, ResolvedPublic1 Story Points

Description

Current process:

Place cursor. Take hands off keyboard. Click the icon. Put hands back on the keyboard. Paste in the URL. Press return (hooray!) to "Look up" the citation. Take hands off keyboard. Click "Insert".

Desired process:

Place cursor. Take hands off keyboard (*grumble*). Click the icon. Put hands back on the keyboard. Paste in the URL. Press Return (hooray!) to "Look up" the citation. Press Return to "Insert" it.

Event Timeline

Whatamidoing-WMF raised the priority of this task from to Needs Triage.
Whatamidoing-WMF updated the task description. (Show Details)
Mvolz moved this task from Backlog to Production on the Citoid board.Apr 29 2015, 1:03 PM
Mvolz moved this task from Production to Extension on the Citoid board.
Neil_P._Quinn_WMF triaged this task as Normal priority.May 9 2015, 12:24 AM
Neil_P._Quinn_WMF set Security to None.

This is citoid, not link inspector tweaks

Change 219384 had a related patch set uploaded (by Esanders):
Focus insert button on panel switch

https://gerrit.wikimedia.org/r/219384

Jdforrester-WMF closed this task as Resolved.Jun 19 2015, 4:50 PM
Jdforrester-WMF assigned this task to Esanders.

Change 219384 merged by jenkins-bot:
Focus insert button on panel switch

https://gerrit.wikimedia.org/r/219384